jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.expert-photographer-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'expert_photographer_dismiss_notice'
        });
    });
});